Articles of 安装

适用于Windows 7的PHP 4/5安装

我有一个Windows 7机器(64位)和另一个系统与Windows Vista(32位)。 我必须看看PHP 4 / PHP 5的代码(不知道是哪一个,是否有办法找出?)。 我安装它已经很长时间了(使用Apache,但是我不记得在安装过程中我做了什么)我有什么select,所以我可以在我的机器上本地安装PHP进行编码和testing。 Windows 7系统确实有IIS,我不知道如果从PHP网站安装.gz +允许CGItypes的文件为IIS做的伎俩? 而且我仍然不需要为PHP编译代码更改(因为它被解释+在访问上运行),这仍然是正确的吗? 我一直在寻找一些答案,就像这样: 在Windows (和谷歌search) PHP安装 ,现在我真的很困惑! 对于开始,我只想安装PHP,然后键入代码,并查看代码在我的本地计算机上执行的操作 (如果可能,请进行debugging)。如果可能,请给我详细的步骤或链接。 最坏的情况下,我将不得不看在线的链接,将为我做的处理,而不是我的服务器。 更新:我已经安装了Apache Http Server 2.2(对于Windows),并且在安装之后,键入到localhost指向IIS。 有什么办法可以在两者之间进行交换,还是必须将PHPconfiguration为仅与IIS一起使用? 也尝试安装XAMPP,无法启动Apache服务(端口80说已经开始使用服务,所以我不知道发生了什么) 我也尝试安装PHP的Windows IIS以及Apache。 首先,Apache Web服务器不去它的默认索引页面,IIS仍在发挥作用。 接下来,PHP文件的行为就好像从未安装PHP一样,它将打开代码,就好像我们正在查看代码,而不是浏览器中的function。

用npm(3.10.3)Win 10 nodejs(6.6)不能安装cordova

我安装了nodejs 6.6并想安装Cordova。 所以在命令行中input: npm install -g Cordova 如果失败。 我在网上search,发现如下: npm config set proxy http://user:password@url:port npm config set https-proxy http://user:password@url:port npm config set strict-ssl false 我再次尝试它仍然失败; 所以我再次search无法安装任何与npm ECONNRESET没有代理 并执行如下: npm config set registry http://registry.npmjs.org/ npm cache clean 仍然安装失败。 这是从家庭连接的私人电脑。 我最后一次尝试: C:\Users\An>npm config set proxy C:\Users\An>npm cache clean npm WARN invalid config proxy="" npm WARN invalid config […]

更改eclipse创build.eclipse,.p2和其他文件夹的位置

我看到日食在我的用户主文件夹中创build一些文件夹,如.eclipse .p2等…我想要更改这个默认文件夹(我想要保存在D:位置)。 我在Linux中读取了这个Change .eclipse文件夹,但是我不明白哪个文件.ini必须更改,如果在安装eclipse之前执行此操作。 此外,我有Windows 10而不是Linux。 对不起我的英语不好。 我希望在你的帮助下。 这是我的eclipse.ini -data D:/Programmi/Eclipse -configuration D:/Programmi/Eclipse/eclipse ` -startup plugins/org.eclipse.equinox.launcher_1.4.0.v20161219-1356.jar –launcher.library plugins/org.eclipse.equinox.launcher.win32.win32.x86_64_1.1.550.v20170928-1359 -product org.eclipse.epp.package.java.product -showsplash org.eclipse.epp.package.common –launcher.defaultAction openFile –launcher.defaultAction openFile –launcher.appendVmargs -vmargs -D"user.home=D:/Programmi/Eclipse/home" -Dosgi.requiredJavaVersion=1.8 -Dosgi.instance.area.default=@user.home/eclipse-workspace -XX:+UseG1GC -XX:+UseStringDeduplication –add-modules=ALL-SYSTEM -Dosgi.requiredJavaVersion=1.8 -Xms256m -Xmx1024m –add-modules=ALL-SYSTEM

使用NSIS将应用程序文件安装到标准的Windows用户

我有一个应用程序,需要一个SQLite数据库才能运行。 在我的NSIS脚本中,数据库被复制到用户Local / AppData文件夹。 如果安装该程序的用户是pipe理员用户,则此工作正常。 但是,如果一个标准用户试图安装程序,安装程序要求inputpipe理员密码(因为标准用户不能在Windows上安装程序)并且正在安装用户,现在正在切换到pipe理员,导致安装数据库pipe理员Local / AppData文件夹,而不是实际的用户AppData文件夹。 所以,实际上,当标准用户试图运行程序时,找不到数据库。 我不知道如何处理这种情况(最好的做法,如果有的话),并不能find答案。 安装程序是否应该将数据库放到公共场所,比如AllUsers,并且首先将数据库从那里复制到他们自己的AppData文件夹中? 所有用户文件夹的问题似乎是任何人都可以偷看它,并可能删除文件。

在Windows 7上安装Haskell模块

昨天我试图通过cabal安装一个Haskell模块,以便在Haskell中安装模块。 我必须先安装cabal。 我的系统:Windows 7 Haskell编译器版本:GHC 7.0.2(链接http://www.haskell.org/ghc/download ) Cabal: http : //haskell.org/cabal/download.html 我将逐步描述这个过程,希望在cabal和cabal的软件包安装过程中,您可以指定我的错误行为。 步骤: 安装了Haskell编译器GHC 7.0.2 从Windows 7开始菜单启动GHCi,在DOS窗口中输出如下内容: GHCi, version 7.0.2: Website 😕 for help . Loading package ghc-prim … linking … done. Loading package integer-gmp … linking … done. Loading package base … linking … done. Loading package ffi-1.0 … linking … done. Prelude> 到目前为止这么好:基本包内的每个函数都是可访问的,并且按照它应该的方式运行。 […]

在linux下安装jdk 1.7时出错

当我在Oracle Linux中安装jdk 1.7时,使用以下命令 rpm -ivh jdk-7u9-linux-i586.rpm 但是我收到以下错误,我该如何解决这些错误并安装JDK 1.7? 任何帮助是非常可观的。 谢谢 rpm -ivh /tmp/mnt/jdk-7u9-linux-i586.rpm Preparing… ########################################### [100%] 1:jdk ########################################### [100%] Unpacking JAR files… rt.jar… Error: Could not open input file: /usr/java/jdk1.7.0_09/jre/lib/rt.pack jsse.jar… Error: Could not open input file: /usr/java/jdk1.7.0_09/jre/lib/jsse.pack charsets.jar… Error: Could not open input file: /usr/java/jdk1.7.0_09/jre/lib/charsets.pack tools.jar… Error: Could not open input file: /usr/java/jdk1.7.0_09/lib/tools.pack localedata.jar… […]

如何在没有X的Linux上安装Oracle 11g?

我试图从http://www.oracle.com/technetwork/database/enterprise-edition/downloads/112010-linx8664soft-100572.html安装Oracle客户端,但有些天才只会使安装程序在X环境下工作。 任何想法如何安装在服务器上没有X'es?

在Makefile安装中移动目录的最佳方法是什么?

我目前在我的Makefile中使用通常的技术来安装单个文件: install: install -D executable ${BIN_DIR} 但是我只是遇到了一个情况,我需要将整个目录及其下的所有文件移动到位。 cp -r是最好的方法,还是有更多的linux-y / unix-y方式来做到这一点?

Libcurl没有更新

我在Ubuntu 14.04,需要curl版本> 7.40,所以我已经按照一些步骤来安装最新的curl版本(7.48) 作为根 wget http://curl.haxx.se/download/curl-7.48.0.tar.gz apt-get install libtool apt-get install make 提取文件 tar -xvf curl-7.48.0.tar.gz 然后在提取的文件夹中: ./buildconf ./configure make make install 更新了二进制文件 mv /usr/bin/curl /usr/bin/curl.bak cp /usr/local/bin/curl /usr/bin/curl 然后重新启动机器。 我可以看到新的curl版本,但libcurl库没有更新,仍然是7.35 根:〜#curl -V curl 7.48.0 (x86_64-unknown-linux-gnu) libcurl / 7.35.0, OpenSSL / 1.0.1f zlib / 1.2.8 libidn / 1.28 librtmp / 2.3 协议:dict文件ftp ftps gopher http […]

如何在Linux上安装自定义gcc的boost?

我的gcc编译器位于自定义位置/ my / path / hpgcc 我已经下载了boost源码。 执行bootstrap.sh,但因为它使用默认的gcc运行,所以失败。 看着它,我发现它在第一件事情上失败了:构buildBoost.Build引擎: gcc -o bootstrap/jam0 command.c compile.c debug.c expand.c glob.c hash.c hdrmacro.c headers.c jam.c jambase.c jamgram.c lists.c make.c make1.c newstr.c option.c output.c parse.c pathunix.c pathvms.c regexp.c rules.c scan.c search.c subst.c timestamp.c variable.c modules.c strings.c filesys.c builtins.c pwd.c class.c native.c md5.c w32_getreg.c modules/set.c modules/path.c modules/regex.c modules/property-set.c modules/sequence.c modules/order.c execunix.c […]